Hooks:PostHook( WeaponFactoryTweakData, "init", "M4FrontSight", function(self)

	self.parts.wpn_fps_m4_uupg_fs_flipup.adds = nil
	self.parts.wpn_fps_m4_uupg_fs_flipup.forbids = nil

	local m4_foregrip = {        
		"wpn_fps_m4_uupg_fg_lr300",
		"wpn_fps_upg_fg_jp",
		"wpn_fps_upg_fg_smr",
		"wpn_fps_upg_ass_m4_fg_lvoa",
		"wpn_fps_upg_ass_m4_fg_moe"
	}
	for i, part_id in ipairs(m4_foregrip) do
		self.parts[part_id].override = self.parts[part_id].override or {}
	end
	
	self.parts.wpn_fps_m4_uupg_fg_lr300.override.wpn_fps_m4_uupg_fs_flipup = { a_obj = "a_fs_lr300" }
	self.parts.wpn_fps_upg_fg_jp.override.wpn_fps_m4_uupg_fs_flipup = { a_obj = "a_fs_jp" }
	self.parts.wpn_fps_upg_ass_m4_fg_moe.override.wpn_fps_m4_uupg_fs_flipup = { a_obj = "a_fs_moe"}
	self.parts.wpn_fps_upg_ass_m4_fg_lvoa.override.wpn_fps_m4_uupg_fs_flipup = { a_obj = "a_fs_lvoa" }	
	
	self.parts.wpn_fps_upg_fg_smr.override.wpn_fps_m4_uupg_fs_flipup = {
		unit = "units/mods/weapons/wpn_fps_ass_m4_pts/wpn_fps_m4_uupg_fs_gazelle",
		a_obj = "a_fs_gazelle"
	}

	self.parts.wpn_fps_m4_uupg_o_flipup.forbids = self.parts.wpn_fps_m4_uupg_o_flipup.forbids or {}
	table.insert(self.parts.wpn_fps_m4_uupg_o_flipup.forbids, "wpn_fps_m4_uupg_fs_flipup")

end )